Subject: Re: [PATCH 14/15] ppc64 iommu: use coherent_dma_mask for alloc_coherent

From: Nishanth Aravamudan <[email-masked]>
Date: Tue, 30 Nov 2010 16:31:50 -0800

On 29.11.2010 [11:58:16 +1100], Benjamin Herrenschmidt wrote:
> On Wed, 2010-09-15 at 11:05 -0700, Nishanth Aravamudan wrote:
> > The IOMMU code has been passing the dma-mask instead of the
> > coherent_dma_mask to the iommu allocator.  Coherent allocations should
> > be made using the coherent_dma_mask.
> 
> Won't that break macio devices too ? afaik, they don't set
> coherent_dma_mask. Have you tried booting on a G5 with iommu enabled ?
> 
> (It may not be broken, just asking...)

I have not tried this. I unfortunately do not have immediate access to a
G5 to test on, but will ask around.

Thanks,
Nish

-- 
Nishanth Aravamudan <[email-masked]>
IBM Linux Technology Center